<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['member_login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="shop_list.php">商品一覧へ</a>';
    echo '</div>' . '</div>';
    exit();
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            require_once('../common/common.php');

            $code = $_SESSION['member_code'];

            $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
            $user = 'root';
            $password = '';
            $dbh = new PDO($dsn, $user, $password);
            $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            $sql = 'SELECT name,email,postal1,postal2,address,tel FROM dat_member WHERE code=?';
            $stmt = $dbh->prepare($sql);
            $stmt->bindValue(1, escape($code));
            $stmt->execute();

            $rec = $stmt->fetch(PDO::FETCH_ASSOC);
            //var_dump($rec);
            //exit();
            $dbh = null;

            $onamae = $rec['name'];
            $email = $rec['email'];
            $postal1 = $rec['postal1'];
            $postal2 = $rec['postal2'];
            $address = $rec['address'];
            $tel = $rec['tel'];

            echo '<p>お名前</p>';
            echo escape($onamae);
            echo '<p>メールアドレス</p>';
            echo escape($email);
            echo '<p>郵便番号</p>';
            echo escape($postal1) . ' - ' . escape($postal2);
            echo '<p>住所</p>';
            echo escape($address);
            echo '<p>電話番号</p>';
            echo escape($tel);
            echo '<br><br>';

            echo '<form method="POST" action="shop_kantan_done.php">';
            echo '<input type="hidden" name="onamae" value="' . escape($onamae) . '">';
            echo '<input type="hidden" name="email" value="' . escape($email) . '">';
            echo '<input type="hidden" name="postal1" value="' . escape($postal1) . '">';
            echo '<input type="hidden" name="postal2" value="' . escape($postal2) . '">';
            echo '<input type="hidden" name="address" value="' . escape($address) . '">';
            echo '<input type="hidden" name="tel" value="' . escape($tel) . '">';
            echo '<input type="button" onclick="history.back()" value="戻る">&emsp;';
            echo '<input type="submit" value="OK">';
            echo '</form>';
            ?>
        </div>
    </div>
</body>

</html>
