-- phpMyAdmin SQL Dump
-- version 5.1.0
-- https://www.phpmyadmin.net/
--
-- ホスト: 127.0.0.1
-- 生成日時: 2021-10-11 22:59:55
-- サーバのバージョン： 10.4.19-MariaDB
-- PHP のバージョン: 8.0.6

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- データベース: `shop`
--

-- --------------------------------------------------------

--
-- テーブルの構造 `dat_member`
--

CREATE TABLE `dat_member` (
  `code` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `password` varchar(255) NOT NULL,
  `name` varchar(15) NOT NULL,
  `email` varchar(50) NOT NULL,
  `postal1` varchar(3) NOT NULL,
  `postal2` varchar(4) NOT NULL,
  `address` varchar(50) NOT NULL,
  `tel` varchar(13) NOT NULL,
  `danjo` int(11) NOT NULL,
  `born` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- テーブルのデータのダンプ `dat_member`
--

INSERT INTO `dat_member` (`code`, `date`, `password`, `name`, `email`, `postal1`, `postal2`, `address`, `tel`, `danjo`, `born`) VALUES
(1, '2021-09-17 06:15:08', '$2y$10$DdtZTyBQzmH9ggZjbAUzTORTDWNBpM6VOIfeOM9BCz/u4Z7sJ7jty', '山里　農次', 'frommars968@gmail.com', '100', '1000', '東京都', '03-1111-1000', 1, 80),
(2, '2021-09-17 06:28:10', '$2y$10$uo5.qcwIEEcQowK.1oypF.u0CPcres8hv7CHDQ85Pam/CbcEJ8kkG', '山里　農三', 'girlfrommars001@gmail.com', '100', '9876', '東京都', '03-1111-9876', 1, 10),
(3, '2021-09-17 06:32:17', '$2y$10$2bQ/V0HpYsXlRVUYTADtSeyA7RVCiJU9jzBf9QsiBc.yvF3HUWv6a', 'あ', 'g@gmail.com', '100', '9879', '東京都', '03-1111-9879', 1, 40),
(4, '2021-09-17 06:43:13', '$2y$10$slT2a0cP/GoLtgOtOi.zUOVzciVuq83BDtSCn.E6LFpfBZxTH6.ta', 'い', 'girlfrommars002@gmail.com', '111', '1000', '東京都', '02-1111-1111', 1, 40);

-- --------------------------------------------------------

--
-- テーブルの構造 `dat_sales`
--

CREATE TABLE `dat_sales` (
  `code` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `code_member` int(11) NOT NULL,
  `name` varchar(15) NOT NULL,
  `email` varchar(50) NOT NULL,
  `postal1` varchar(3) NOT NULL,
  `postal2` varchar(4) NOT NULL,
  `address` varchar(50) NOT NULL,
  `tel` varchar(13) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- テーブルのデータのダンプ `dat_sales`
--

INSERT INTO `dat_sales` (`code`, `date`, `code_member`, `name`, `email`, `postal1`, `postal2`, `address`, `tel`) VALUES
(2, '2021-09-15 14:14:34', 0, '山里　農子', 'girlfrommars968@gmail.com', '101', '1111', '東京都', '03-1111-1111'),
(3, '2021-09-15 15:01:44', 0, '山里　農夫', 'girlfrommars@gmail.com', '101', '1112', '東京都', '03-1111-1112'),
(4, '2021-09-15 15:03:42', 0, '山里　農夫', 'girlfrommars@gmail.com', '101', '1112', '東京都', '03-1111-1112'),
(5, '2021-09-15 15:04:12', 0, '山里　農夫', 'girlfrommars@gmail.com', '101', '1112', '東京都', '03-1111-1112'),
(6, '2021-09-15 15:16:49', 0, '山里　', 'girlfrommars1@gmail.com', '101', '1234', '東京都', '03-1111-1234'),
(7, '2021-09-17 06:15:08', 1, '山里　農次', 'frommars968@gmail.com', '100', '1000', '東京都', '03-1111-1000'),
(8, '2021-09-17 06:28:10', 2, '山里　農三', 'girlfrommars001@gmail.com', '100', '9876', '東京都', '03-1111-9876'),
(9, '2021-09-17 06:32:17', 3, 'あ', 'g@gmail.com', '100', '9879', '東京都', '03-1111-9879'),
(10, '2021-09-17 06:43:13', 4, 'い', 'girlfrommars002@gmail.com', '111', '1000', '東京都', '02-1111-1111'),
(11, '2021-09-18 06:02:36', 1, '山里　農次', 'frommars968@gmail.com', '100', '1000', '東京都', '03-1111-1000');

-- --------------------------------------------------------

--
-- テーブルの構造 `dat_sales_product`
--

CREATE TABLE `dat_sales_product` (
  `code` int(11) NOT NULL,
  `code_sales` int(11) NOT NULL,
  `code_product` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `quantity` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- テーブルのデータのダンプ `dat_sales_product`
--

INSERT INTO `dat_sales_product` (`code`, `code_sales`, `code_product`, `price`, `quantity`) VALUES
(4, 2, 23, 150, 3),
(5, 2, 24, 210, 2),
(6, 2, 25, 280, 4),
(7, 3, 26, 310, 2),
(8, 3, 23, 150, 1),
(9, 4, 26, 310, 2),
(10, 4, 23, 150, 1),
(11, 5, 26, 310, 2),
(12, 5, 23, 150, 1),
(13, 6, 24, 210, 4),
(14, 7, 23, 150, 1),
(15, 7, 25, 280, 2),
(16, 8, 26, 310, 6),
(17, 9, 24, 210, 1),
(18, 10, 25, 280, 1),
(19, 11, 26, 310, 1);

-- --------------------------------------------------------

--
-- テーブルの構造 `mst_product`
--

CREATE TABLE `mst_product` (
  `code` int(11) NOT NULL,
  `name` varchar(30) NOT NULL,
  `price` int(11) NOT NULL,
  `gazou` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- テーブルのデータのダンプ `mst_product`
--

INSERT INTO `mst_product` (`code`, `name`, `price`, `gazou`) VALUES
(23, '甘～いにんじん', 150, '20210902203546ninjin.jpg'),
(24, 'とってもピーマン', 210, '20210902203849piman.jpg'),
(25, '焼いて最高のナス', 280, '20210902203744nasu.jpg'),
(26, 'シャキシャキアスパラ', 310, '20210906203832aspara.jpg');

-- --------------------------------------------------------

--
-- テーブルの構造 `mst_staff`
--

CREATE TABLE `mst_staff` (
  `code` int(11) NOT NULL,
  `name` varchar(15) NOT NULL,
  `password` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- テーブルのデータのダンプ `mst_staff`
--

INSERT INTO `mst_staff` (`code`, `name`, `password`) VALUES
(9, 'ろくまる社長', '$2y$10$nDGWieEownBDxhWD43K.OONom'),
(10, 'ななまる部長', '$2y$10$Y1Gp./6qExcwev02Ft70aucGg'),
(19, 'はちまる係長', '$2y$10$vjhWp1NY5O1C2bGjwHxkXe839/1Lb9KQwBk1wxdcOnGDoJ86ulq0q');

--
-- ダンプしたテーブルのインデックス
--

--
-- テーブルのインデックス `dat_member`
--
ALTER TABLE `dat_member`
  ADD PRIMARY KEY (`code`);

--
-- テーブルのインデックス `dat_sales`
--
ALTER TABLE `dat_sales`
  ADD PRIMARY KEY (`code`);

--
-- テーブルのインデックス `dat_sales_product`
--
ALTER TABLE `dat_sales_product`
  ADD PRIMARY KEY (`code`);

--
-- テーブルのインデックス `mst_product`
--
ALTER TABLE `mst_product`
  ADD PRIMARY KEY (`code`);

--
-- テーブルのインデックス `mst_staff`
--
ALTER TABLE `mst_staff`
  ADD PRIMARY KEY (`code`);

--
-- ダンプしたテーブルの AUTO_INCREMENT
--

--
-- テーブルの AUTO_INCREMENT `dat_member`
--
ALTER TABLE `dat_member`
  MODIFY `code` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- テーブルの AUTO_INCREMENT `dat_sales`
--
ALTER TABLE `dat_sales`
  MODIFY `code` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- テーブルの AUTO_INCREMENT `dat_sales_product`
--
ALTER TABLE `dat_sales_product`
  MODIFY `code` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=20;

--
-- テーブルの AUTO_INCREMENT `mst_product`
--
ALTER TABLE `mst_product`
  MODIFY `code` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=52;

--
-- テーブルの AUTO_INCREMENT `mst_staff`
--
ALTER TABLE `mst_staff`
  MODIFY `code` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=21;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
