<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['member_login']) == false) {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo '<b>ようこそゲスト様&emsp;</b>';
    echo '<b><a href="member_login.html">会員ログイン</a></b>';
    echo '</div>' . '</div>';
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo '<b>ようこそ' . $_SESSION['member_name'] . '様&emsp;</b>';
    echo '<b><a href="member_logout.php">ログアウト</a></b>';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            try {
                //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
                $pro_code = filter_input(INPUT_GET, 'procode');

                if (isset($_SESSION['cart']) == true) {
                    $cart = $_SESSION['cart'];
                    $kazu = $_SESSION['kazu'];
                    if (in_array($pro_code, $cart)) {
                        echo '<p>その商品はすでにカートに入っています。</p>';
                        echo '<a href="shop_list.php">商品一覧に戻る</a>';
                        exit();
                    }
                }
                $cart[] = $pro_code;
                $kazu[] = 1;
                $_SESSION['cart'] = $cart;
                $_SESSION['kazu'] = $kazu;

                /*foreach ($cart as $key => $value) {
                    echo $value . '<br>';
                }*/
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }

            //ヒアドキュメントを使用
            /*
    echo <<<EOM
<h3>スタッフ修正</h3>
<p>スタッフコード</p>
{$pro_code}
<br>
<br>
<form method="post" action="pro_edit_check.php">
<input type="hidden" name="code" value="{$pro_code}">
<p>スタッフ名</p>
        <input type="text" name="name" style="width:200px" value="{$pro_name}">
<p>パスワードを入力してください。</p>
        <input type="password" name="pass" style="width:200px">
<p>パスワードをもう一度入力してください。</p>
        <input type="password" name="pass2" style="width:200px">
<br>
        <input type="button" onclick="history.back()" value="戻る">
        <input type="submit" value="OK">
    </form>

EOM;
*/
            ?>
            <p>カートに追加しました。</p>
            <a href="shop_list.php">商品一覧に戻る</a>
        </div>
    </div>
</body>

</html>
