<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="../staff_login/staff_login.html">ログイン画面へ</a>';
    echo '</div>' . '</div>';
    exit();
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo $_SESSION['staff_name'] . 'さんログイン中です。';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            require_once('../common/common.php');
            try {
                //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
                $staff_code = filter_input(INPUT_POST, 'code');
                $staff_name = filter_input(INPUT_POST, 'name');
                $staff_pass = filter_input(INPUT_POST, 'pass');

                //変更点　入力値を表示しない項目については、エスケープ命令はいらない
                //$staff_name = htmlspecialchars($staff_name, ENT_QUOTES, 'UTF-8');
                //$staff_pass = htmlspecialchars($staff_pass, ENT_QUOTES, 'UTF-8');

                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                $sql = 'UPDATE mst_staff SET name=?,password=? WHERE code=?';
                $stmt = $dbh->prepare($sql);
                $data[] = escape($staff_name);
                $data[] = escape($staff_pass);
                $data[] = escape($staff_code);
                $stmt->execute($data);

                $dbh = null;
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }
            echo '修正しました。<br>';
            ?>
            <a href="staff_list.php">戻る</a>
        </div>
    </div>
</body>

</html>
